
package cdpp3dview.params;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import cdpp3dview.types.Matrix3DArray;
import cdpp3dview.types.TimeFileArray;
import cdpp3dview.types.Tuple3DArray;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cdpp3dview.params package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetCoverageResponse_QNAME = new QName("http://cdpp3dview/params", "getCoverageResponse");
    private final static QName _ListAttDataResponse_QNAME = new QName("http://cdpp3dview/params", "listAttDataResponse");
    private final static QName _ListEmeAttDataResponse_QNAME = new QName("http://cdpp3dview/params", "listEmeAttDataResponse");
    private final static QName _ListFilesResponse_QNAME = new QName("http://cdpp3dview/params", "listFilesResponse");
    private final static QName _GetSizeResponse_QNAME = new QName("http://cdpp3dview/params", "getSizeResponse");
    private final static QName _ListGSResponse_QNAME = new QName("http://cdpp3dview/params", "listGSResponse");
    private final static QName _ListStarsResponse_QNAME = new QName("http://cdpp3dview/params", "listStarsResponse");
    private final static QName _ListStarSubsetsResponse_QNAME = new QName("http://cdpp3dview/params", "listStarSubsetsResponse");
    private final static QName _GetFpPathsResponse_QNAME = new QName("http://cdpp3dview/params", "getFpPathsResponse");
    private final static QName _ListInstsResponse_QNAME = new QName("http://cdpp3dview/params", "listInstsResponse");
    private final static QName _ListOrbDataResponse_QNAME = new QName("http://cdpp3dview/params", "listOrbDataResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cdpp3dview.params
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ListStarSubsetsResponse }
     * 
     */
    public ListStarSubsetsResponse createListStarSubsetsResponse() {
        return new ListStarSubsetsResponse();
    }

    /**
     * Create an instance of {@link ListStars }
     * 
     */
    public ListStars createListStars() {
        return new ListStars();
    }

    /**
     * Create an instance of {@link ListOrbData2Response }
     * 
     */
    public ListOrbData2Response createListOrbData2Response() {
        return new ListOrbData2Response();
    }

    /**
     * Create an instance of {@link ListRtnFrameAttResponse }
     * 
     */
    public ListRtnFrameAttResponse createListRtnFrameAttResponse() {
        return new ListRtnFrameAttResponse();
    }

    /**
     * Create an instance of {@link ListFrames }
     * 
     */
    public ListFrames createListFrames() {
        return new ListFrames();
    }

    /**
     * Create an instance of {@link ListStarSubsets }
     * 
     */
    public ListStarSubsets createListStarSubsets() {
        return new ListStarSubsets();
    }

    /**
     * Create an instance of {@link ListBodies }
     * 
     */
    public ListBodies createListBodies() {
        return new ListBodies();
    }

    /**
     * Create an instance of {@link ListAttVOTDataResponse }
     * 
     */
    public ListAttVOTDataResponse createListAttVOTDataResponse() {
        return new ListAttVOTDataResponse();
    }

    /**
     * Create an instance of {@link ListCMEFrontsResponse }
     * 
     */
    public ListCMEFrontsResponse createListCMEFrontsResponse() {
        return new ListCMEFrontsResponse();
    }

    /**
     * Create an instance of {@link GetCoverageResponse }
     * 
     */
    public GetCoverageResponse createGetCoverageResponse() {
        return new GetCoverageResponse();
    }

    /**
     * Create an instance of {@link ListOrbData2 }
     * 
     */
    public ListOrbData2 createListOrbData2() {
        return new ListOrbData2();
    }

    /**
     * Create an instance of {@link ListCRMapsResponse }
     * 
     */
    public ListCRMapsResponse createListCRMapsResponse() {
        return new ListCRMapsResponse();
    }

    /**
     * Create an instance of {@link ListNewFrameOrbResponse }
     * 
     */
    public ListNewFrameOrbResponse createListNewFrameOrbResponse() {
        return new ListNewFrameOrbResponse();
    }

    /**
     * Create an instance of {@link ListNewFrameAtt }
     * 
     */
    public ListNewFrameAtt createListNewFrameAtt() {
        return new ListNewFrameAtt();
    }

    /**
     * Create an instance of {@link ListRtnFrameAtt }
     * 
     */
    public ListRtnFrameAtt createListRtnFrameAtt() {
        return new ListRtnFrameAtt();
    }

    /**
     * Create an instance of {@link ListAttData }
     * 
     */
    public ListAttData createListAttData() {
        return new ListAttData();
    }

    /**
     * Create an instance of {@link ListFrames2 }
     * 
     */
    public ListFrames2 createListFrames2() {
        return new ListFrames2();
    }

    /**
     * Create an instance of {@link GetFpPathsResponse }
     * 
     */
    public GetFpPathsResponse createGetFpPathsResponse() {
        return new GetFpPathsResponse();
    }

    /**
     * Create an instance of {@link GetFpPaths }
     * 
     */
    public GetFpPaths createGetFpPaths() {
        return new GetFpPaths();
    }

    /**
     * Create an instance of {@link ListOrbVOTDataResponse }
     * 
     */
    public ListOrbVOTDataResponse createListOrbVOTDataResponse() {
        return new ListOrbVOTDataResponse();
    }

    /**
     * Create an instance of {@link ListGSResponse }
     * 
     */
    public ListGSResponse createListGSResponse() {
        return new ListGSResponse();
    }

    /**
     * Create an instance of {@link ListNewFrameAttResponse }
     * 
     */
    public ListNewFrameAttResponse createListNewFrameAttResponse() {
        return new ListNewFrameAttResponse();
    }

    /**
     * Create an instance of {@link ListBoisResponse }
     * 
     */
    public ListBoisResponse createListBoisResponse() {
        return new ListBoisResponse();
    }

    /**
     * Create an instance of {@link GetCoverage }
     * 
     */
    public GetCoverage createGetCoverage() {
        return new GetCoverage();
    }

    /**
     * Create an instance of {@link ListInsts }
     * 
     */
    public ListInsts createListInsts() {
        return new ListInsts();
    }

    /**
     * Create an instance of {@link ListEmeAttData }
     * 
     */
    public ListEmeAttData createListEmeAttData() {
        return new ListEmeAttData();
    }

    /**
     * Create an instance of {@link ListSbCatalogs }
     * 
     */
    public ListSbCatalogs createListSbCatalogs() {
        return new ListSbCatalogs();
    }

    /**
     * Create an instance of {@link ListCMEFronts }
     * 
     */
    public ListCMEFronts createListCMEFronts() {
        return new ListCMEFronts();
    }

    /**
     * Create an instance of {@link ListInstsResponse }
     * 
     */
    public ListInstsResponse createListInstsResponse() {
        return new ListInstsResponse();
    }

    /**
     * Create an instance of {@link ListGS }
     * 
     */
    public ListGS createListGS() {
        return new ListGS();
    }

    /**
     * Create an instance of {@link GetSizeResponse }
     * 
     */
    public GetSizeResponse createGetSizeResponse() {
        return new GetSizeResponse();
    }

    /**
     * Create an instance of {@link ListSbCatalogsResponse }
     * 
     */
    public ListSbCatalogsResponse createListSbCatalogsResponse() {
        return new ListSbCatalogsResponse();
    }

    /**
     * Create an instance of {@link ListCRMaps }
     * 
     */
    public ListCRMaps createListCRMaps() {
        return new ListCRMaps();
    }

    /**
     * Create an instance of {@link GetVotUrl }
     * 
     */
    public GetVotUrl createGetVotUrl() {
        return new GetVotUrl();
    }

    /**
     * Create an instance of {@link ListOrbData }
     * 
     */
    public ListOrbData createListOrbData() {
        return new ListOrbData();
    }

    /**
     * Create an instance of {@link ListProjMaps }
     * 
     */
    public ListProjMaps createListProjMaps() {
        return new ListProjMaps();
    }

    /**
     * Create an instance of {@link ListProjMapsResponse }
     * 
     */
    public ListProjMapsResponse createListProjMapsResponse() {
        return new ListProjMapsResponse();
    }

    /**
     * Create an instance of {@link ListAttVOTData }
     * 
     */
    public ListAttVOTData createListAttVOTData() {
        return new ListAttVOTData();
    }

    /**
     * Create an instance of {@link GetOrbUrlResponse }
     * 
     */
    public GetOrbUrlResponse createGetOrbUrlResponse() {
        return new GetOrbUrlResponse();
    }

    /**
     * Create an instance of {@link ListBois }
     * 
     */
    public ListBois createListBois() {
        return new ListBois();
    }

    /**
     * Create an instance of {@link ListAttData2Response }
     * 
     */
    public ListAttData2Response createListAttData2Response() {
        return new ListAttData2Response();
    }

    /**
     * Create an instance of {@link ListBodiesInRegionResponse }
     * 
     */
    public ListBodiesInRegionResponse createListBodiesInRegionResponse() {
        return new ListBodiesInRegionResponse();
    }

    /**
     * Create an instance of {@link ListNewFrameOrb }
     * 
     */
    public ListNewFrameOrb createListNewFrameOrb() {
        return new ListNewFrameOrb();
    }

    /**
     * Create an instance of {@link ListFiles }
     * 
     */
    public ListFiles createListFiles() {
        return new ListFiles();
    }

    /**
     * Create an instance of {@link GetVotUrlResponse }
     * 
     */
    public GetVotUrlResponse createGetVotUrlResponse() {
        return new GetVotUrlResponse();
    }

    /**
     * Create an instance of {@link ListFramesResponse }
     * 
     */
    public ListFramesResponse createListFramesResponse() {
        return new ListFramesResponse();
    }

    /**
     * Create an instance of {@link ListCRMapTypes }
     * 
     */
    public ListCRMapTypes createListCRMapTypes() {
        return new ListCRMapTypes();
    }

    /**
     * Create an instance of {@link GetSize }
     * 
     */
    public GetSize createGetSize() {
        return new GetSize();
    }

    /**
     * Create an instance of {@link GetOrbUrl }
     * 
     */
    public GetOrbUrl createGetOrbUrl() {
        return new GetOrbUrl();
    }

    /**
     * Create an instance of {@link ListCRMapTypesResponse }
     * 
     */
    public ListCRMapTypesResponse createListCRMapTypesResponse() {
        return new ListCRMapTypesResponse();
    }

    /**
     * Create an instance of {@link ListBodiesInRegion }
     * 
     */
    public ListBodiesInRegion createListBodiesInRegion() {
        return new ListBodiesInRegion();
    }

    /**
     * Create an instance of {@link ListStarsResponse }
     * 
     */
    public ListStarsResponse createListStarsResponse() {
        return new ListStarsResponse();
    }

    /**
     * Create an instance of {@link ListAttData2 }
     * 
     */
    public ListAttData2 createListAttData2() {
        return new ListAttData2();
    }

    /**
     * Create an instance of {@link ListBodiesResponse }
     * 
     */
    public ListBodiesResponse createListBodiesResponse() {
        return new ListBodiesResponse();
    }

    /**
     * Create an instance of {@link ListFrames2Response }
     * 
     */
    public ListFrames2Response createListFrames2Response() {
        return new ListFrames2Response();
    }

    /**
     * Create an instance of {@link ListOrbVOTData }
     * 
     */
    public ListOrbVOTData createListOrbVOTData() {
        return new ListOrbVOTData();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCoverageResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "getCoverageResponse")
    public JAXBElement<GetCoverageResponse> createGetCoverageResponse(GetCoverageResponse value) {
        return new JAXBElement<GetCoverageResponse>(_GetCoverageResponse_QNAME, GetCoverageResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Matrix3DArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listAttDataResponse")
    public JAXBElement<Matrix3DArray> createListAttDataResponse(Matrix3DArray value) {
        return new JAXBElement<Matrix3DArray>(_ListAttDataResponse_QNAME, Matrix3DArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Matrix3DArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listEmeAttDataResponse")
    public JAXBElement<Matrix3DArray> createListEmeAttDataResponse(Matrix3DArray value) {
        return new JAXBElement<Matrix3DArray>(_ListEmeAttDataResponse_QNAME, Matrix3DArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimeFileArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listFilesResponse")
    public JAXBElement<TimeFileArray> createListFilesResponse(TimeFileArray value) {
        return new JAXBElement<TimeFileArray>(_ListFilesResponse_QNAME, TimeFileArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSizeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "getSizeResponse")
    public JAXBElement<GetSizeResponse> createGetSizeResponse(GetSizeResponse value) {
        return new JAXBElement<GetSizeResponse>(_GetSizeResponse_QNAME, GetSizeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListGSResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listGSResponse")
    public JAXBElement<ListGSResponse> createListGSResponse(ListGSResponse value) {
        return new JAXBElement<ListGSResponse>(_ListGSResponse_QNAME, ListGSResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListStarsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listStarsResponse")
    public JAXBElement<ListStarsResponse> createListStarsResponse(ListStarsResponse value) {
        return new JAXBElement<ListStarsResponse>(_ListStarsResponse_QNAME, ListStarsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListStarSubsetsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listStarSubsetsResponse")
    public JAXBElement<ListStarSubsetsResponse> createListStarSubsetsResponse(ListStarSubsetsResponse value) {
        return new JAXBElement<ListStarSubsetsResponse>(_ListStarSubsetsResponse_QNAME, ListStarSubsetsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetFpPathsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "getFpPathsResponse")
    public JAXBElement<GetFpPathsResponse> createGetFpPathsResponse(GetFpPathsResponse value) {
        return new JAXBElement<GetFpPathsResponse>(_GetFpPathsResponse_QNAME, GetFpPathsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListInstsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listInstsResponse")
    public JAXBElement<ListInstsResponse> createListInstsResponse(ListInstsResponse value) {
        return new JAXBElement<ListInstsResponse>(_ListInstsResponse_QNAME, ListInstsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Tuple3DArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp3dview/params", name = "listOrbDataResponse")
    public JAXBElement<Tuple3DArray> createListOrbDataResponse(Tuple3DArray value) {
        return new JAXBElement<Tuple3DArray>(_ListOrbDataResponse_QNAME, Tuple3DArray.class, null, value);
    }

}
